Bug 159843 - [PATCH] databases/postgresql-plpython: unbreak
[PATCH] databases/postgresql-plpython: unbreak
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sunpoet Po-Chuan Hsieh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-17 18:40 UTC by cvs-src
Modified: 2011-10-02 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (5.00 KB, patch)
2011-08-17 18:40 UTC, cvs-src
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cvs-src 2011-08-17 18:40:08 UTC
Here is the that unbreaks postgresql-plpython extention with threaded python (and threadless too). Apart from postgresql-plpython it touches our postgresqlXX-server ports too to make it actually builds. So this patch should be applied against /usr/ports/databases. Please see this message for detailed descriptions and build logs: http://lists.freebsd.org/pipermail/freebsd-ports/2011-August/069274.html

changes:
- databases/postgresql-plpython no more marked as broken, since it
  builds both with threaded and threaless python on all supported
  FreeBSD versions with three major PostgreSQL branches
- added configure patch for PostgreSQL 8.4, 9.0, 9.1 to make it able to
  build plpython threads-aware python
- merge changed regexp to make plpython built with 9.1b3 from ports ports/159319
- fix pkg-plists for postgresql9x-server/pkg-plist-plpython (plpython2.so and
  extensions)
- bump portrevision for postgresql-plpython

Fix: Patch attached with submission follows:
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-09-08 14:51:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

I'll take it.
Comment 2 Eygene Ryabinkin freebsd_committer 2011-09-11 22:42:30 UTC
Po-chuan, good day.

Will you be able to hold this update for a couple of days:
it was discovered that it breaks the documentation builds for
postgresql 9.x,
  http://www.freebsd.org/cgi/query-pr.cgi?pr=159844
I will create the fix for ports/159844 shortly: day or two
should sufficient.

Thanks!
-- 
Eygene Ryabinkin                                        ,,,^..^,,,
[ Life's unfair - but root password helps!           | codelabs.ru ]
[ 82FE 06BC D497 C0DE 49EC  4FF0 16AF 9EAE 8152 ECFB | freebsd.org ]
Comment 3 Eygene Ryabinkin freebsd_committer 2011-09-25 23:55:23 UTC
Mon, Sep 12, 2011 at 01:42:30AM +0400, Eygene Ryabinkin wrote:
> Will you be able to hold this update for a couple of days:
> it was discovered that it breaks the documentation builds for
> postgresql 9.x,
>   http://www.freebsd.org/cgi/query-pr.cgi?pr=159844
> I will create the fix for ports/159844 shortly: day or two
> should sufficient.


It took a bit longer than I had expected, but I had just committed
the fix,
  http://lists.freebsd.org/pipermail/cvs-ports/2011-September/226350.html

I think that this PR can now be finalized.
-- 
Eygene Ryabinkin                                        ,,,^..^,,,
[ Life's unfair - but root password helps!           | codelabs.ru ]
[ 82FE 06BC D497 C0DE 49EC  4FF0 16AF 9EAE 8152 ECFB | freebsd.org ]
Comment 4 cvs-src 2011-10-01 16:01:18 UTC
Hi,
just want to ask is there any progress with this port? Eygene committed 
needed fixes some time ago. And please set me as maintainer of this 
port. Thanks in advance.

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 5 dfilter freebsd_committer 2011-10-02 21:07:48 UTC
sunpoet     2011-10-02 20:07:40 UTC

  FreeBSD ports repository

  Modified files:
    databases/postgresql-plpython Makefile 
    databases/postgresql90-server pkg-plist-plpython 
    databases/postgresql91-server pkg-plist-plpython 
  Added files:
    databases/postgresql82-server/files patch-configure 
    databases/postgresql83-server/files patch-configure 
    databases/postgresql84-server/files patch-configure 
    databases/postgresql90-server/files patch-configure 
    databases/postgresql91-server/files patch-configure 
  Log:
  - Unbreak postgresql-plpython: allow build with threaded python
  - Pass maintainership to submitter
  
  PR:             ports/159843
  Submitted by:   Ruslan Mahmatkhanov <cvs-src@yandex.ru>
  
  Revision  Changes    Path
  1.11      +1 -3      ports/databases/postgresql-plpython/Makefile
  1.3       +11 -0     ports/databases/postgresql82-server/files/patch-configure (new)
  1.3       +11 -0     ports/databases/postgresql83-server/files/patch-configure (new)
  1.3       +11 -0     ports/databases/postgresql84-server/files/patch-configure (new)
  1.3       +11 -0     ports/databases/postgresql90-server/files/patch-configure (new)
  1.3       +1 -0      ports/databases/postgresql90-server/pkg-plist-plpython
  1.3       +11 -0     ports/databases/postgresql91-server/files/patch-configure (new)
  1.4       +11 -1     ports/databases/postgresql91-server/pkg-plist-plpython
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-10-02 21:08:18 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!